package org.shadoware.eggskeeper;

import org.shadoware.eggskeeper.engine.SceneElement;
import org.shadoware.eggskeeper.engine.Textures;

import android.content.Context;


public class Background extends SceneElement {
	
	public Background(Context context) {
		
		super(1, "textured");
		init(this, context);
	}
	
	
	/**
	 * Init the properties of the element
	 */
	private void init(SceneElement element, Context context) {
		
		int mTexture = Textures.getInstance().addTexture(context, "scene.png");
    	element.setSize(2.0f);
    	element.setPosition(0.0f, 0.0f, 10.0f);
    	element.setTexture(mTexture);
	}

}
